<!DOCTYPE html>
<html lang="pt">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Meu delivery</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha2/css/bootstrap.min.css"
        integrity="sha384-DhY6onE6f3zzKbjUPRc2hOzGAdEf4/Dz+WJwBvEYL/lkkIsI3ihufq9hk9K4lVoK" crossorigin="anonymous">

    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
        integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">

    <!-- Estilo owlcarousel -->
    <link rel="stylesheet" href="assets/pluglins/owlcarosel.css/owl.carousel.min.css" type="text/css">
    <link rel="stylesheet" href="assets/pluglins/owlcarosel.css/owl.theme.default.min.css" type="text/css">

    <!-- Estilo customizado -->
    <link rel="stylesheet" href="styles/all.css" type="text/css">
</head>

<body>

    <!--header-->
    <header>
        <div id="header">
            <div class="container">
                <nav class="navbar navbar-expand-lg navbar-light justify-content-between">
                    <div class="container">
                        <a class="navbar-brand" href="index.html">
                            <!--Meu Delivery-->
                            <div class="logo">
                                <h1>Meu<span class="logo2">Delivery</span></h1>
                            </div>
                        </a>
                        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#nav-principal"
                            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                            <i class="fas fa-bars"></i>
                        </button>

                        <div class="row">
                            <div class="col-xl-6 col-md-4 col-sm-12">
                                <div class="form-group">
                                    <div class="inner-addon left-addon">
                                        <i class="fas fa-search"></i>
                                        <input type="text" class="form-control desc_categ" id="desc_categ"
                                            name="desc_categ" placeholder="Busque por loja ou item">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="collapse navbar-collapse" id="nav-principal">
                            <ul class="navbar-nav">
                                <li class="nav-item">
                                    <a href="#" class="nav-link">
                                        <i class="fas fa-percent mr-2"></i>Promoções</a>
                                </li>
                                <li class="nav-item">
                                    <a href="#" class="nav-link">
                                        <i class="fas fa-sign-in-alt mr-2"></i>Entrar</a>
                                </li>
                                <li class="nav-item">
                                    <div class="bag-store">
                                        <a href="#" class="nav-link">
                                            <i class="fas fa-shopping-bag fa-lg mr-2"></i><span>3</span>
                                        </a>
                                    </div>

                                </li>
                            </ul>
                        </div>
                    </div>
                </nav>
            </div>
        </div>
    </header>
    <!--/header-->

    <!--slider-->
    <div class="slider d-flex flex-column justify-content-center align-items-center">
    </div>
    <!--/slider-->

    <div class="container">
        <div class="dados-principais">
            <div class="topo-dados-estabelecimento">
                <div class="title">
                    <h2>Estabelecimento X</h2>
                </div>
                <span><i class="far fa-bookmark"></i> Mercado</span><br>
                <span><i class="far fa-clock"></i> Segunda: <span>09:00 | 18:00</span>
            </div>

            <div class="dados-tipodepagamento">
                <div class="title">Pagamento na entrega</div>
                <div class="pag-dinheiro">
                    <div class="title-tipopag">
                        Dinheiro
                    </div>
                    <div class="col-xl-2 col-md-6 col-sm-6">
                        <div class="card-tipopagamento">
                            <div class="tipopagamento">
                                <img src="https://static-images.ifood.com.br/image/upload//icones/pgto/DIN"
                                    alt=""><span>Dinheiro</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="pag-credito">
                    <div class="title-tipopag">
                        Cartão de Crédito
                    </div>
                    <div class="row">
                        <div class="col-xl-2 col-md-6 col-sm-6">
                            <div class="card-tipopagamento">
                                <div class="tipopagamento">
                                    <img src="https://static-images.ifood.com.br/image/upload//icones/pgto/MC"
                                        alt=""><span>Master Crédito</span>
                                </div>
                            </div>
                        </div>

                        <div class="col-xl-2 col-md-6 col-sm-6">
                            <div class="card-tipopagamento">
                                <div class="tipopagamento">
                                    <img src="https://static-images.ifood.com.br/image/upload//icones/pgto/MC"
                                        alt=""><span>Master Crédito</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="pad-debito">
                    <div class="title-tipopag">
                        Cartão de Débito
                    </div>
                    <div class="row">
                        <div class="col-xl-2 col-md-6 col-sm-6">
                            <div class="card-tipopagamento">
                                <div class="tipopagamento">
                                    <img src="https://static-images.ifood.com.br/image/upload//icones/pgto/VIS"
                                        alt=""><span>Visa Débito</span>
                                </div>
                            </div>
                        </div>

                        <div class="col-xl-2 col-md-6 col-sm-6">
                            <div class="card-tipopagamento">
                                <div class="tipopagamento">
                                    <img src="https://static-images.ifood.com.br/image/upload//icones/pgto/VIS"
                                        alt=""><span>Visa Crédito</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="outras-informacoes">
                <div class="endereco">
                    <div class="rua-numero">Travessa W9 Quadra 35, 521</div>
                    <div class="bairro">Cohab</div>
                    <div class="cidade-estado">Tucuruí - PA</div>
                    <div class="cep">CEP: <span>68459-810</span></div>
                    <div class="cnpj">CNPJ: <span>24.074.484/0001-81</span></div>
                </div>

                <div class="dados-entrega">
                    <div class="valor-entrega"><span>Taxa de entrega: </span>R$10,00</div>
                    <div class="entrega-gratis">A entrega é gratis a partir de <span>R$50,00</span></div>
                </div>
            </div>

            <div class="mt-4 mb-4">
                <hr>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <div class="inner-addon left-addon" style="width: 70%;">
                            <i class="fas fa-search"></i>
                            <input type="text" class="form-control desc_categ" id="desc_categ" name="desc_categ"
                                placeholder="Busque por item no estabelecimento">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="top-section">
            <div class="title-estabs">
                <h2>Subgrupo X</h2>
            </div>
            <div>
                <a href="#" class="viewAll">
                    <h3></h3>
                </a>
            </div>
        </div>

        <div class="row" id="produtos">
            <div class="col-xl-6 col-md-6 col-sm-12 mt-3" onclick="produto()">
                <div class="card-produto">
                    <div class="info-produto">
                        <div class="nome-produto">Pizza Grande (um sabor)</div>
                        <div class="desc-produto">esse produto é assim, feito com assado e vai com o cuzido</div>
                        <div class="preco-produto">R$ 30,00</div>
                    </div>
                    <div class="img-produto">
                        <img src="images/pizza1.jpg" alt="">
                    </div>
                </div>
            </div>

            <div class="col-xl-6 col-md-6 col-sm-12 mt-3" onclick="produto()">
                <div class="card-produto">
                    <div class="info-produto">
                        <div class="nome-produto">Pizza Grande Marguerita</div>
                        <div class="desc-produto">esse produto é assim, feito com assado e vai com o cuzido</div>
                        <div class="preco-produto">R$ 50,00</div>
                    </div>
                    <div class="img-produto">
                        <img src="images/pizza2.jpg" alt="">
                    </div>
                </div>
            </div>

            <div class="col-xl-6 col-md-6 col-sm-12 mt-3" onclick="produto()">
                <div class="card-produto">
                    <div class="info-produto">
                        <div class="nome-produto">Fodendo Pizza de calabresa</div>
                        <div class="desc-produto">esse produto é assim, feito com assado e vai com o cuzido</div>
                        <div class="preco-produto">R$ 65,00</div>
                    </div>
                    <div class="img-produto">
                        <img src="images/pizza3.jpg" alt="">
                    </div>
                </div>
            </div>

            <div class="col-xl-6 col-md-6 col-sm-12 mt-3" onclick="produto()">
                <div class="card-produto">
                    <div class="info-produto">
                        <div class="nome-produto">Bixo, olha essa pizza!!</div>
                        <div class="desc-produto">esse produto é assim, feito com assado e vai com o cuzido</div>
                        <div class="promocao">
                            <div class="old-price">R$ 65,00</div>
                        </div>
                        <div class="preco-produto">R$ 64,99</div>
                    </div>
                    <div class="img-produto">
                        <img src="images/pizza4.jpg" alt="">
                    </div>
                </div>
            </div>

        </div>
    </div>


    <!--rodapé-->
    <footer id="rodape">
        <div class="container">
            <div class="row">
                <div class="col-xl-6 col-md-6 col-sm-12">
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="logo">
                                <h1>Meu<span class="logo2">Delivery</span></h1></a>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <div class="row" id="store-app">
                                <img alt="Baixar na Google Play"
                                    src="https://d3i4yxtzktqr9n.cloudfront.net/web-eats-v2/b3b3f379a592f6067b005dade511acc9.png"
                                    class="dx">
                                <img alt="Baixar na App Store" role="img"
                                    src="https://d3i4yxtzktqr9n.cloudfront.net/web-eats-v2/fdfc5304d9819be57b4783c6bef2e118.svg"
                                    class="dx">
                            </div>
                            <!-- <div class="row" id="store-app">
                                    <div class="col-sm-6">
                                        <img src="images/appstore.png" alt="">
                                    </div>
                                    <div class="col-sm-6">
                                        <img src="images/playstore.png" alt="">
                                    </div>
                                </div>-->
                        </div>
                    </div>

                </div>
                <div class="col-xl-6 col-md-6 col-sm-12">
                    <div class="row">
                        <div class="col-md-6 col-sm-12">
                            <div class="rodapeMenuTitle">
                                <ul>
                                    <li><a href="#">Sobre o MeuDelivery</a></li>
                                </ul>
                            </div>
                            <div class="menuRodape">
                                <ul>
                                    <li><a href="#">Leia nosso blog</a></li>
                                    <li><a href="#">Criar conta de empresa</a></li>
                                    <li><a href="#">Adicione seu estabelecimento</a></li>
                                </ul>
                            </div>
                        </div>


                        <div class="col-md-6 col-sm-12">
                            <div class="rodapeMenuTitle">
                                <ul>
                                    <li><a href="#">Ajuda</a></li>
                                </ul>
                            </div>
                            <div class="menuRodape">
                                <ul>
                                    <li><a href="#">Leia as perguntas frequentes</a></li>
                                    <li><a href="#">Veja todas as cidades</a> </li>
                                    <li><a href="#">Estabelecimentos perto de mim</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>

    <div class="modal fade modal-back" id="modal_produto" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered modal-xl">
            <div class="modal-content">
                <div class="modal-body" id="modal-produto">
                    <div class="info-produto-modal">
                        <div class="row">
                            <div class="col-md-6">

                                <div class="fechar-modal-produto-img" id="" align="right">
                                    <a type="button" class="close" data-dismiss="modal" aria-label="Close"
                                        style="color: #000;">
                                        <i class="fas fa-times"></i>
                                    </a>
                                </div>


                                <div class="img-produto-modal">
                                    <img src="images/pizza4.jpg" alt="">
                                </div>
                            </div>

                            <div class="col-md-6">
                                <form action="">
                                    <div class="fechar-modal">
                                        <a type="button" class="close" data-dismiss="modal" aria-label="Close"
                                            style="color: #000;">
                                            <i class="fas fa-times"></i>
                                        </a>
                                    </div>
                                    <div class="body-info-produto">
                                        <div class="dados-produto-modal">
                                            <div class="nome-produto-modal">Pizza Grande (um sabor)</div>
                                            <div class="promocao-produto-modal">
                                                <div class="old-price-produto-modal">R$35,00</div>
                                            </div>
                                            <div class="preco-produto-modal">R$ 30,00</div>
                                            <div class="desc-produto-modal">
                                                Uma deliciosa combinação de Linguiça Calabresa, rodelas de cebolas
                                                frescas,
                                                azeitonas pretas, mussarela, polpa de tomate, orégano e massa especial
                                                garante um sabor único à Pizza de Calabresa Pif Paf. 12 cartuchos de
                                                460g,
                                                cada. Peso total de 5,52kg.
                                            </div>

                                            <div class="dados-entrega-modal"><span
                                                    class="nome-estabelecimento-modal-produto">Estabelecimento x </span>
                                                <span class="tempo-entrega-modal-produto">30 | 45 min</span>
                                            </div>

                                            <div class="adicional-produto-modal">
                                                <div class="titulo-adicional-modal">Adicionais para a sua pizza</div>
                                                <div class="listagem-adicional-body">
                                                    <ul>
                                                        <li id="adicional">
                                                            <div class="dados-adicional">
                                                                <div class="nome-adicional">Bacon</div>
                                                                <div class="preco-adicional"><span>+</span> R$ 4,00
                                                                </div>
                                                            </div>
                                                            <div class="qtd-adicional">
                                                                <div class="inc button">
                                                                    <i class="fas fa-plus-circle"></i>
                                                                </div>
                                                                <input type="text" id="un-adicional" name="" value="0">
                                                                <input type="hidden" id="val-adicional" name="" value="4">
                                                                <div class="dec button">
                                                                    <i class="fas fa-minus-circle"></i>
                                                                </div>
                                                            </div>
                                                        </li>

                                                        <li id="adicional">
                                                            <div class="dados-adicional">
                                                                <div class="nome-adicional">Borda Catupirix</div>
                                                                <div class="preco-adicional"><span>+</span> R$ 5,00
                                                                </div>
                                                            </div>

                                                            <div class="qtd-adicional">
                                                                <div class="inc button">
                                                                    <i class="fas fa-plus-circle"></i>
                                                                </div>
                                                                <input type="text" id="un-adicional" name="" value="0">
                                                                <input type="hidden" id="val-adicional" name="" value="5">
                                                                <div class="dec button">
                                                                    <i class="fas fa-minus-circle"></i>
                                                                </div>
                                                            </div>
                                                        </li>

                                                        <li id="adicional">
                                                            <div class="dados-adicional">
                                                                <div class="nome-adicional">Tomate</div>
                                                                <div class="preco-adicional"><span>+</span> R$ 1,00
                                                                </div>
                                                            </div>
                                                            <div class="qtd-adicional">
                                                                <div class="inc button">
                                                                    <i class="fas fa-plus-circle"></i>
                                                                </div>
                                                                <input type="hidden" id="val-adicional" name="" value="1">
                                                                <input type="text" id="un-adicional" name="" value="0">
                                                                <div class="dec button">
                                                                    <i class="fas fa-minus-circle"></i>
                                                                </div>
                                                            </div>
                                                        </li>

                                                        <li id="adicional">
                                                            <div class="dados-adicional">
                                                                <div class="nome-adicional">Azeitona</div>
                                                                <div class="preco-adicional"><span>+</span> R$ 1,00
                                                                </div>
                                                            </div>

                                                            <div class="qtd-adicional">
                                                                <div class="inc button">
                                                                    <i class="fas fa-plus-circle"></i>
                                                                </div>
                                                                <input type="hidden" id="val-adicional" name="" value="1">
                                                                <input type="text" id="un-adicional" name="" value="0">
                                                                <div class="dec button">
                                                                    <i class="fas fa-minus-circle"></i>
                                                                </div>
                                                            </div>
                                                        </li>

                                                    </ul>
                                                </div>
                                            </div>

                                            <div class="obs-produto-modal">
                                                <div class="title-obs-produto-modal">Alguma observação?</div>
                                                <div class="text-obj-produto-modal">
                                                    <textarea name="" id="" cols="30" rows="10"></textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="footer-produto-modal">
                                        <div class="row">
                                            <div class="col-md-9">
                                                <div class="qtd-produto">
                                                    <div class="btn-add">
                                                        <input type="button" name="mais" id="mais" value="+" />
                                                    </div>
                                                    <div class="btn-remover">
                                                        <input type="button" name="menos" id="menos" value="-" />
                                                    </div>
                                                    <div class="qtd-add">
                                                        <input type="text" name="format" value="1" id="format"
                                                            size="2" />
                                                    </div>
                                                    <div class="total-produto">
                                                        Total: <input type="text" name="total" id="total" value="" />
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-3" align="right">
                                                <div class="btn-add-produto">
                                                    <div class="btn btn-danger">Adicionar</div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha2/js/bootstrap.bundle.min.js"
        integrity="sha384-BOsAfwzjNJHrJ8cZidOg56tcQWfp6y72vEJ8xQ9w6Quywb24iOsW913URv1IS4GD"
        crossorigin="anonymous"></script>
    <script src="assets/pluglins/owlcarorel.js/owl.carousel.min.js" type="text/javascript"></script>
    <script src="assets/pluglins/owlcarorel.js/owl.carousel.js" type="text/javascript"></script>
    <script src="assets/js/main.js"></script>
</body>

</html>

<script>
    var valorproduto = 30;
    $("#total").val(valorproduto);
    $(function () {
        $("#adicional .qtd-adicional .inc").on("click", function () {
            var $btn = $(this);
            var valoradicional = $btn.parent().find("#val-adicional").val();
            var oldvalue = $btn.parent().find("#un-adicional").val();

            var newval = parseFloat(oldvalue) + 1;
            $btn.parent().find("#un-adicional").val(newval);

            valorproduto = valorproduto + parseFloat(valoradicional);
            $("#total").val(valorproduto);
        });

        $("#adicional .qtd-adicional .dec").on("click", function () {
            var $btn = $(this);
            var oldvalue = $btn.parent().find("#un-adicional").val();
            var valoradicional = $btn.parent().find("#val-adicional").val();
            if (oldvalue > 0) {
                var newval = parseFloat(oldvalue) - 1;
                valorproduto = valorproduto - parseFloat(valoradicional);
            }
            else { newval = 0; }

            $btn.parent().find("#un-adicional").val(newval);
            $("#total").val(valorproduto);
        });
    })
    function produto() {
        $("#modal_produto").modal("show");
    }

    function id(el) {
        return document.getElementById(el);
    }

    window.onload = function () {
        id('mais').onclick = function () {
            /*qtdproduto*/
            id('format').value = parseInt(id('format').value) + 1;
            id('total').value = valorproduto * id('format').value;
        }
        id('menos').onclick = function () {
            if (id('format').value != 1)
                id('format').value = parseInt(id('format').value) - 1;
            id('total').value = valorproduto * id('format').value;
        }
    }

</script>